Subject: bug#41951: 28.0.50; Automatically detect AUTH=ANONYMOUS in Gnus nnimap?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Jul 2020 06:03:06 +0200

Eric Abrahamsen <[email-masked]> writes:

> Hmm, but `nnimap-credentials->auth-source-search' will prompt for auth
> details and save them if none are found, which is the behavior I was
> trying to avoid to begin with.

We could change that to not prompt if AUTH=ANONYMOUS is available?

> Meh, this probably isn't the right thing to do. The manual specifically
> says (about `nnimap-authenticator'):
>
> "Some IMAP servers allow anonymous logins. In that case, this should be
>  set to ‘anonymous’. If this variable isn’t set, the normal login
>  methods will be used."
>
> So implicitly short-circuiting the normal login procedure is actually
> contrary to the documentation, which says do it explicitly. I'm inclined
> to drop this...

Yeah, it's pretty obscure anyway, isn't it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no